Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service.signer.ooxml
Class OPCKeySelector

    java.lang.Object
      javax.xml.crypto.KeySelector
          be.fedict.eid.applet.service.signer.KeyInfoKeySelector
              be.fedict.eid.applet.service.signer.ooxml.OPCKeySelector

All Implemented Interfaces:
  KeySelectorResult

    public class OPCKeySelector

extends KeyInfoKeySelector

Open Packaging Conventions (ECMA-376-2) based JSR105 key selector implementation.

Author:
  Frank Cornelis

Nested Class Summary

Nested classes/interfaces inherited from class javax.xml.crypto.KeySelector
`KeySelector.Purpose`

Field Summary

Fields inherited from class be.fedict.eid.applet.service.signer.KeyInfoKeySelector
`certificate`

Constructor Summary
`OPCKeySelector(URL opcUrl, String signatureResourceName)`

Method Summary
`KeySelectorResult` | `select(KeyInfo keyInfo, KeySelector.Purpose purpose, AlgorithmMethod method, XMLCryptoContext context)`

Methods inherited from class be.fedict.eid.applet.service.signer.KeyInfoKeySelector
`getCertificate, getKey`

Methods inherited from class javax.xml.crypto.KeySelector
`singletonKeySelector`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OPCKeySelector

    public OPCKeySelector(URL opcUrl,
                          String signatureResourceName)

Method Detail

### select

    public KeySelectorResult select(KeyInfo keyInfo,
                                    KeySelector.Purpose purpose,
                                    AlgorithmMethod method,
                                    XMLCryptoContext context)
                             throws KeySelectorException

  Overrides:
    `select` in class `KeyInfoKeySelector`
  Throws:
    `KeySelectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 FedICT. All Rights Reserved.